# Get batch status

> Poll a batch's progress (webhook-down fallback). (GET /v1/batches/{id})

Source: https://sightradar.com/docs/api/batch/get-batch-status

Poll a batch's progress (webhook-down fallback). Free.

### Example request

```bash
curl -X GET "https://api.sightradar.com/v1/batches/$ID" \
  -H "Authorization: Bearer $SR_API_KEY"
```

### Parameters

| Name              | In   | Type     | Description |
| ----------------- | ---- | -------- | ----------- |
| `id` **required** | path | `string` |             |

### Response body

| Field           | Type      | Description |
| --------------- | --------- | ----------- |
| `batch_id`      | `string`  |             |
| `collection_id` | `string`  |             |
| `op`            | `string`  |             |
| `status`        | `string`  |             |
| `total_photos`  | `integer` |             |
| `succeeded`     | `integer` |             |
| `failed`        | `integer` |             |
| `pending`       | `integer` |             |
| `claimed`       | `integer` |             |
| `created_at`    | `string`  |             |

### Status codes

| Status | Meaning                     |
| ------ | --------------------------- |
| `200`  | Batch status.               |
| `401`  | Missing or invalid API key. |
| `404`  | Resource not found.         |
